Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::gl::viewer::event_info Struct Reference

List of all members.

## Detailed Description

Input event.

## Public Attributes

event_type | event
| Event type.
int | what
| Key or button number.
int | x
| x-coordinate (for mouse events).
int | y
| y-coordinate (for mouse events).

## Member Data Documentation

viewer::event_type openvrml::gl::viewer::event_info::event

| Event type.

int openvrml::gl::viewer::event_info::what

| Key or button number.

int openvrml::gl::viewer::event_info::x

| x-coordinate (for mouse events).

int openvrml::gl::viewer::event_info::y

| y-coordinate (for mouse events).